import { IModuleServer, ModuleParams } from "@erp/core";

export const invoicesModule: IModuleServer = {
  metadata: {
    name: "invoices",
    version: "1.0.0",
    dependencies: [],
  },
  init(params: ModuleParams) {
    // const contacts = getService<ContactsService>("contacts");
    const { logger } = params;
    //invoicesRouter(params);
    logger.info({ message: "🚀 Invoices module initialized", label: "invoices" });
  },
  registerDependencies(params) {
    const { database, logger } = params;
    logger.info({ message: "🚀 Invoices module dependencies registered", label: "invoices" });
    return {
      //models,
      services: {
        getInvoice: () => {},
        /*...*/
      },
    };
  },
};
